Refresh Wallet QR Code
curl --request POST \
--url https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.post("https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success",
"data": {
"orderId": "<string>",
"action": {
"redirectUrl": "<string>",
"method": "GET",
"type": "CASHAPP",
"walletHandleRedirectOrDisplayQrCode": {
"imageUrlPng": "<string>",
"imageUrlSvg": "<string>",
"imageDataUrl": "<string>",
"hostedInstructionsUrl": "<string>",
"mobileAuthUrl": "<string>",
"fallbackUrl": "<string>",
"packageName": "<string>",
"expiresAt": 123,
"expiresSecond": 123
},
"paymentMethodType": "<string>",
"postData": {}
}
}
}"<string>"Payment
Refresh Wallet QR Code
Refresh the wallet QR code for an existing order. Currently only supports CASHAPP wallet payments.
POST
/
payment
/
{orderId}
/
qrcode
/
refresh
Refresh Wallet QR Code
curl --request POST \
--url https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.post("https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/payment/{orderId}/qrcode/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success",
"data": {
"orderId": "<string>",
"action": {
"redirectUrl": "<string>",
"method": "GET",
"type": "CASHAPP",
"walletHandleRedirectOrDisplayQrCode": {
"imageUrlPng": "<string>",
"imageUrlSvg": "<string>",
"imageDataUrl": "<string>",
"hostedInstructionsUrl": "<string>",
"mobileAuthUrl": "<string>",
"fallbackUrl": "<string>",
"packageName": "<string>",
"expiresAt": 123,
"expiresSecond": 123
},
"paymentMethodType": "<string>",
"postData": {}
}
}
}"<string>"Authorizations
Your secret API key obtained from the Clink dashboard (Developers section)
Headers
Current timestamp in milliseconds since Unix epoch (required for request signing)
Example:
"1783513683000"
Path Parameters
Unique identifier of the order
Response
Wallet QR code refreshed successfully